2019-12-10 11:06 EST


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002578FSSCPFREDpublic2012-01-23 18:04
Reporterchief1983 
Assigned Tochief1983 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86-64OSWindows 7OS VersionProfessional
Product Version3.6.13 
Target Version3.6.14Fixed in Version3.6.14 
Summary0002578: Assert(strlen(shipp->ship_name) < NAME_LENGTH - 1); (with 31 character ship name)
DescriptionI hit this assert adding a ship to a mission. NAME_LENGTH is 32. The ship has a 31 character name. That's within the limits everywhere else in the code, but not here, because it improperly checks. It subtracts one for the null terminator \0, and also uses < instead of <=.
Steps To ReproduceUse debug build.
Have a ship with 31 character name.
Add it to a mission.
Additional InformationI found two other places that compare to NAME_LENGTH in this exact manner, in the ai code. They should be fixed too.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0013113

chief1983 (administrator)

Fix committed to trunk@8326.

~0013135

chief1983 (administrator)

Fix committed to fs2_open_3_6_14@8357.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2012-01-22 20:20 chief1983 New Issue
2012-01-22 20:20 chief1983 Status new => assigned
2012-01-22 20:20 chief1983 Assigned To => chief1983
2012-01-22 20:22 chief1983 Changeset attached => fs2open trunk r8326
2012-01-22 20:22 chief1983 Note Added: 0013113
2012-01-22 20:22 chief1983 Status assigned => resolved
2012-01-22 20:22 chief1983 Resolution open => fixed
2012-01-22 20:25 chief1983 Fixed in Version => 3.6.14
2012-01-23 18:04 chief1983 Changeset attached => fs2open fs2_open_3_6_14 r8357
2012-01-23 18:04 chief1983 Note Added: 0013135
+Issue History